#import "MSAppDelegate.h"
#import "MSExamplesViewController.h"
#import "MSFriendManager.h"

// ====================================================================================
// To change the default App/Map used by all our samples, see MSExampleViewController.h
// ====================================================================================

@implementation MSAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
        
    // configure the Meridian SDK
    MRConfig *config = [MRConfig new];
    config.applicationToken = @"090c29d8b4cc628e4bd327abf37f62e4e3477bae";

    // must be called once, in application:didFinishLaunching
    [Meridian configure:config];

    // set our default appearance to be a green color matching our app icon (this has nothing to do with Meridian)
    [UINavigationBar appearance].tintColor = [UIColor whiteColor];
    [UINavigationBar appearance].barTintColor = [UIColor colorWithRed:0.1395 green:0.8678 blue:0.7167 alpha:1.0];
    [UINavigationBar appearance].barStyle = UIBarStyleBlack;
    [[UITextField appearanceWhenContainedIn:[UISearchBar class], nil] setTintColor:[[UIView alloc] init].tintColor];

    // create a controller to demonstrate use of specific Meridian APIs
    MSExamplesViewController *examplesViewController = [[MSExamplesViewController alloc] init];

    // create the main window and display it
    UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:examplesViewController];
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.rootViewController = nav;
    [self.window makeKeyAndVisible];

    // Start posting location updates
    [MSFriendManager setActiveManager:[MSFriendManager manager1]];
    
    return YES;
}

- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation {
    [[MSFriendManager manager1] acceptInviteURL:url];
    return YES;
}

@end
