#import "MSLoadingViewController.h"

@interface MSLoadingViewController () <MRMapViewDelegate>
@property (nonatomic, strong) MRMapView *mapView;
@property (nonatomic) BOOL loading;
@end

@implementation MSLoadingViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.edgesForExtendedLayout = UIRectEdgeNone;
        UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Loading" style:UIBarButtonItemStylePlain target:self action:@selector(toggle)];
        self.navigationItem.rightBarButtonItems = @[button1];
    }
    return self;
}

#pragma mark - UIViewController

- (void)loadView {
    self.mapView = [[MRMapView alloc] init];
    self.mapView.delegate = self;
    self.mapView.mapKey = [MREditorKey keyForMap:MAP_ID app:APP_ID];
    self.view = self.mapView;
}

#pragma mark - MRMapViewDelegate
- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
    self.mapView.mapKey = map.key;
}

- (nonnull UIViewController *)viewControllerToAddSheetToForMapView:(MRMapView *)mapView {
    return self;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Loading Indicator Visibility";
}

+ (NSString *)exampleInfo {
    return @"Map with a button to toggle the loading indicator.";
}

#pragma mark - Action

- (void)toggle {
    self.mapView.loading = !self.loading;
    self.loading = !self.loading;
}

@end
