#import "MSShowsPlacemarksViewController.h"

@interface MSShowsPlacemarksViewController () <MRMapViewDelegate>
@property (nonatomic, strong) MRMapView *mapView;
@end

@implementation MSShowsPlacemarksViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.edgesForExtendedLayout = UIRectEdgeNone;
        UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Tags" style:UIBarButtonItemStylePlain target:self action:@selector(toggleTags)];
        UIBarButtonItem *button2 = [[UIBarButtonItem alloc] initWithTitle:@"Placemarks" style:UIBarButtonItemStylePlain target:self action:@selector(togglePlacemarks)];

        self.navigationItem.rightBarButtonItems = @[button1, button2];
    }
    return self;
}

#pragma mark - UIViewController

- (void)loadView {
    self.mapView = [[MRMapView alloc] init];
    self.mapView.showsPlacemarks = NO;
    self.mapView.showsTags = NO;
    self.mapView.delegate = self;
    self.mapView.mapKey = [MREditorKey keyForMap:MAP_ID app:APP_ID];
    self.view = self.mapView;
}

#pragma mark - MRMapViewDelegate
- (void)mapPickerDidPickMap:(nonnull MRMap *)map {
    self.mapView.mapKey = map.key;
}

- (nonnull UIViewController *)viewControllerToAddSheetToForMapView:(MRMapView *)mapView {
    return self;
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Placemark & Tag Visibility";
}

+ (NSString *)exampleInfo {
    return @"Example of how to programmatically show/hide map placemarks & tags.\n\n"
    @"• Placemarks and tags are initially hidden.\n"
    @"• Buttons to toggle visibility.\n";
}

#pragma mark - Action

- (void)togglePlacemarks {
    self.mapView.showsPlacemarks = !self.mapView.showsPlacemarks;
}

- (void)toggleTags {
    self.mapView.showsTags = !self.mapView.showsTags;
}

@end
