//
//  MSLoadingViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/17/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSLoadingViewController: UIViewController, MRMapViewDelegate, MSExampleViewController {
    private lazy var mapView: MRMapView = {
        let mapView = MRMapView()
        mapView.delegate = self
        mapView.mapKey = MREditorKey(forMap:MAP_ID, app:APP_ID)
        return mapView
    }()

    private var loading = false

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view = self.mapView

        let button0 = UIBarButtonItem(title: "Loading", style: .plain, target: self, action: #selector(self.toggle))
        self.navigationItem.rightBarButtonItems = [button0]
    }
    
    // MARK: - MRMapViewDelegate
    
    func mapPickerDidPick(_ map: MRMap) {
        self.mapView.mapKey = map.key
    }
    
    func viewControllerToAddSheetTo(for mapView: MRMapView) -> UIViewController {
        return self
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "Loading Indicator Visibility"
    }

    static func exampleDetail() -> String {
        return "Map with a button to toggle the loading indicator."
    }

    // MARK: - Action

    @objc private func toggle() {
        self.loading = !self.loading
        self.mapView.setLoading(self.loading)
    }
}
