//
//  MSShowsLocationViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/19/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSShowsLocationViewController: UIViewController, MRMapViewDelegate, MSExampleViewController {
    private lazy var mapView: MRMapView = {
        let mapView = MRMapView()
        mapView.delegate = self
        mapView.showsUserLocation = true
        mapView.mapKey = MREditorKey(forMap:MAP_ID, app:APP_ID)
        return mapView
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view = self.mapView

        let button0 = UIBarButtonItem(title: "Location", style: .plain, target: self, action: #selector(self.toggle))
        let button1 = UIBarButtonItem(title: "Compass", style: .plain, target: self, action: #selector(self.toggle2))
        self.navigationItem.rightBarButtonItems = [button0, button1]
    }
    
    // MARK: - MRMapViewDelegate
    
    func mapPickerDidPick(_ map: MRMap) {
        self.mapView.mapKey = map.key
    }
    
    func viewControllerToAddSheetTo(for mapView: MRMapView) -> UIViewController {
        return self
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "User Location Visibility"
    }

    static func exampleDetail() -> String {
        return "Example of how to programatically enable/disable the blue location annotation.\n\n" +
            "• User location starts initially enabled.\n" +
            "• Button to toggle user location.\n"
    }

    // MARK: - Action

    @objc private func toggle() {
        self.mapView.showsUserLocation = !self.mapView.showsUserLocation
    }

    @objc private func toggle2() {
        self.mapView.showsUserHeading = !self.mapView.showsUserHeading
    }
}
