Version 4.0.1 - February 08, 2018
---------------------------------
* Repackaged Meridian framework to avoid signing issues
* Fixed issue with applications that haven't set a theme
* Minor analytics improvement

Version 4.0.0 - February 01, 2018
--------------------------------
* New look and feel to match the iOS 11 map experience
* Added Dutch and Czech translations
* Added an optional 'all done' completion handler to MRSearch
* Fixed a bug handling special characters in passwords
* Fixed a minor memory leak in our location kit
* Fixed an issue with our gpsTransform math

Version 3.10.0 - December 14, 2017
--------------------------------
* Fixed an issue where active campaigns might trigger too early
* Exposed the placemark UID to SDK consumers
* Updated the docs URL in the README

Version 3.9.0 - October 26, 2017
--------------------------------
* Fixed a crash involving MRMapView configuration
* Fixed a UI issue involving deleted annotations
* Added more error checking when processing client location data

Version 3.8.0 - September 28, 2017
--------------------------------
* Fixed a problem with analytics tracking that could cause UI freezes
* Fixed an alignment issue in the map label
* Improvements for iOS 11 compatibility
* Minor fixes and improvements

Version 3.7.0 - August 24, 2017
--------------------------------
* Added support for mapless campaigns
* Replaced deprecated UIAlertViews and UIActionSheets with UIAlertControllers
* Fixed a bug handling null campaign repetition rules that could cause a crash
* Bumped minimum outdoor GPS accuracy threshold from 5m to 10m

Version 3.6.0 - July 27, 2017
--------------------------------
* Support API Authentication
* Fixed a bug where '%' symbols were not shown in local notifications
* Fixed a bug when handling Tags with no location data
* Exposed MRMapView zoomScale property

Version 3.5.0 - June 20, 2017
--------------------------------
* Enabled Active Exit campaigns
* Exposed the 'external ID' field in MRTag objects
* Updated some API nullability signatures for better Swift integration
* Fixed a bug where placemarks could not be hidden before being added to a map
* Fixed an iOS 8 crash in MRMapViewController initialization
* Added a Swift version of the Samples App

Version 3.4.0 - May 23, 2017
--------------------------------
* Added support for filtering visible Tags on the map
* Added a config flag for disabling analytics collection
* Improved Voiceover support for accessibility
* Active campaigns now use Editor-defined RSSI values
* Fixed a bug where routing could be positioned offscreen with certain maps
* Fixed a bug where the orientation alert could be misaligned
* Fixed a crash when using MRMapViewController in a storyboard
* Samples app uses new dedicated Meridian location

Version 3.3.0 - April 18, 2017
--------------------------------
* New MRSearch class allows searching for Placemarks, Maps, and Tags
* MRMapView now supports filtering visible Tags
* Include labels in Tag data
* Added authentication to Tag tracking via application token
* Fixed a bug where the reorientation alert could be displayed when the blue dot wasn't visible

Version 3.2.0 - March 21, 2017
--------------------------------
* Added route orientation advisories for errant users
* Allow for suppressing location alerts
* Minor fixes and improvements

Version 3.1.0 - February 22, 2017
--------------------------------
* Fixed an issue where user location would be updated too rapidly
* Fixed an issue where route step would be shown incorrectly after a reroute
* Fixed an issue where MRDirections would fail to retrieve a fresh location
* Added support for CocoaPods
* Documentation improvements

Version 3.0.1 - January 30, 2017
--------------------------------
* Fixed build warnings

Version 3.0.0 - January 24, 2017
--------------------------------
* Blue dot compass indicator improved to show accuracy
* Fixed an issue with compass direction and less common device orientations
* Support custom thresholds for directions recalculation
* Fixed an issue where MRPlacemarkRequest could not load a single placemark by ID
* Fixed a crash related to unexpected response data in MRPlacemarkRequest
* Fixed an issue with nav bar state in MRMapViewController
* Fixed an issue where the blue dot could appear in exclusion areas
* MRMap now exposes a `northOffset` property

Version 2.13.0 - December 14, 2016
--------------------------------
* Support pagination in placemark requests
* Reduce SDK distribution file size
* Improved error handling in MRDirections
* Miscellaneous minor improvements

Version 2.12.0 - November 3, 2016
--------------------------------
* Location accuracy improvements
* More graceful handling of location update errors
* New methods for fetching placemarks from Meridian servers
* Fixed some SVG map rendering that was inconsistent with other platforms
* Fixed an error when resetting campaigns
* Minimum supported iOS version is now 8.0

Version 2.11.1 - October 12, 2016
--------------------------------
* Fix regression in level picking

Version 2.11.0 - September 26, 2016
--------------------------------
* Improved support for placemark display priority customization
* Levels in the map picker are now sorted by level number (descending)
* Official support for custom GPS accuracy threshold

Version 2.10.1 - September 9, 2016
--------------------------------
* Fixed incorrect array type annotation in MRDirectionsDestination

Version 2.10.0 - September 7, 2016
--------------------------------
* Improved map zooming
* Blue dot supports indicating compass direction
* Location performance improvements
* Allow more space for placemark annotation labels
* Fixed an issue with archiving in bitcode-enabled projects

Version 2.9.3 - July, 2016
--------------------------------
* Fixed an issue with getting directions during an existing route
* Fixed an issue where the app would not launch when entering a campaign beacon region
* Improved location tracking during directions
* Support custom zoom levels during directions
* Translations updates

Version 2.9.2 - April 26, 2016
--------------------------------
* Removed usage of `friend` keyword which would cause compilation errors on projects using Obj-C++.

Version 2.9.1 - April 24, 2016
--------------------------------
* Minor bug fixes

Version 2.9.0 - April 22, 2016
--------------------------------
* Added location sharing support
* Added Vietnamese and Arabic localizations
* Added support for Changing Room and Family Restroom placemark types
* Fixed bug where distance to next directions step would not update
* Several minor bug fixes

Version 2.8.1 - March 29, 2016
--------------------------------
* Remove location sharing support pending official release

Version 2.8.0 - March 9, 2016
--------------------------------
* Add location sharing support
* Fix infinite spinner during directions

Version 2.7.5 - February 3, 2016
--------------------------------
* Fixes crash when calling `[MRDirections cancel]`

Version 2.7.4 - December 8, 2015
-------------------------------
* Fixes a crash on iOS 7
* Adds the ability to revert to the single-building level picker
* Documentation updates

Version 2.7.3 - December 7, 2015
-------------------------------
* Improved: Map selector now allows selecting any map in any building
* Improved: More appropriate zoom levels for automated map rect animations
* Improved: Consolidated examples for a tidier Samples app
* Improved: Avoid namespace conflicts with embedded libraries
* Improved: Simulated location can be used on a device as well as the simulator
* Fixed: A bug that could cause crash when directions were loaded a second time
* Fixed: A bug that caused the directions control to stay hidden in certain cases

Version 2.7.2 - November 5, 2015
-------------------------------
* Improved: Added bitcode support
* Fixed: An issue causing "No such file" build warnings
* Note: The SDK now requires linking against CoreMotion and CoreBluetooth

Version 2.7.1 - November 1, 2015
-------------------------------
* Improved: Location algorithm accuracy
* Improved: Removed maximum limit of 20 campaigns from MRCampaignManager
* Improved: Internal debugging tools
* Fixed: An "Unexpected CFBundleExecutable key" error when submitting to iTunes Connect
* Fixed: An issue with `[MRPlacemark hideOnMap]` not behaving as expected

Version 2.7.0 - October 1, 2015
-------------------------------
* Fixed a memory leak related to SVG parsing
* Fixed an issue where directions steps wouldn't animate if the controls were hidden
* New: annotations can be selected programatically before they appear onscreen
* Analytics improvements
* Translation updates
* Several minor bug fixes

Version 2.6.9 - September 4, 2015
--------------------------------
* Fixed a problem with diagnostics reporting
* Fixed an issue where beacon region monitoring would not stop when it should
* Fixed an issue with the `lineWidth` property of map overlays
* Improved campaign "dwell time" reporting for analytics

Version 2.6.8 - July 27, 2015
--------------------------------
* Added: Map overlays. Developers can now draw UIBezierPaths on the map surface using `MRPathOverlay` and `MRPathOverlayRenderer`.
* Added: Added `shadowColor` property to MRPlacemarkAnnotationView
* Added: Added `showsRoutePath` property to MRMapView
* Improved: MeridianSamples has more detailed examples
* Improved: Miscellaneous minor issues and improvements
* Fixed: Crash if a custom `MRAnnotationView` subclass is returned for user location annotation
* Fixed: `MRMapView` no longer scans for beacons while the app is backgrounded

Version 2.6.7 - June 9th, 2015
--------------------------------
* Fixed: Crash when rotating device while routing
* Fixed: Crash when changing maps while routing
* Fixed: Issue with duplicate symbols
* Improved: Directions load performance when beacons are not present
* Improved: Misc minor issues and improvements


Version 2.6.6 - May 1st, 2015
--------------------------------
* Fixed: Route source is preserved when accessibility setting is changed
* Fixed: An issue where `MRMapView`'s `showsUserLocation` property would be unreliable
* Improved: More complete analytics reporting
* Improved: Misc improvements


Version 2.6.5 - April 1st, 2015
-------------------------------
* Added: Annotation callouts can now be easily customized via `calloutContentView` and `calloutContentMargin` properties on `MRAnnotationView`
* Added: The `MRMapViewDelegate` protocol has a new `mapView:willSelectAnnotationView:` method
* Improved: `MRMapViewController` can now be used with storyboards
* Improved: Multiple network SSIDs are now supported
* Fixed: Improved behavior of `MRMapViewController` when pushed on a `UINavigationController` stack
* Fixed: A crash when selecting a re-added annotation that was removed while selected
* Fixed: An issue where changes to the `canShowCallout` property of `MRAnnotationView` could be reverted internally
* Fixed: Miscellaneous minor issues and improvements


Version 2.6.4 - March 5th, 2015
-------------------------------
* Added: When setting the visible map rectangle, rotation can now be specified as well
* Added: Map rotation and units per meter are now exposed via `MRMap`'s public interface
* Added: A callback is now available for completion of programmatic map animations
* Added: Device tokens are now registered with the location server for Campaign notifications
* Added: MeridianSamples now includes more examples of map usage and customization
* Improved: Several location refinements
* Fixed: Several minor bug fixes


Version 2.6.3 - February 9, 2015
--------------------------------

* Added: Request caching, default caching can be overridden in `MRConfig`
* Improved: Disable navigation auto advance if a starting location was specified
* Improved: Directions API uses new `MRDirectionsSource` and `MRDirectionsDestination` objects in lieu of `MRMapItem`
* Improved: Translations updated, now including British English
* Removed: `MRMapItem` it has been replaced by the more explicit `MRDirectionsSource` and `MRDirectionsDestination`
* Changed: `didAddAnnotationViews:` callback is now called whenever views are added, not just ones that a user explicitly added
* Changed: `addAnnotations:` can be called without throwing an exception if annotations already exist
* Fix: Several issues with nav bar buttons in `MRMapViewController`


Version 2.6.2 - January 26, 2015
--------------------------------

 * New: Experimental "Diagnostics" mode for capturing problems with BLE location (press and hold two fingers on any map to enable)
 * Improved: `MRMapView` now exposes the `MRMap` object after downloading it internally
 * Fix: Modal directions display now correctly zooms to the first step when presented
 * Fix: Crash when completion handlers are `nil`
 * Fix: Occasional crash when parsing maps

Version 2.6.1 - January 8, 2015
-------------------------------

 * New `MRCampaignManager` to support Proximity Beacon-based Campaigns defined in the Meridian Editor
 * New method `[MRMapView setVisibleMapRect:]` for programmatically scrolling/zooming the map
 * New delegate method `annotationManager:didAddAnnotationViews:` on `MRMapView` informs you when new annotations are visible and can be selected
 * Directions will automatically "reroute" if location goes far off course
 * Location "snaps" to current route while getting directions
 * SDK supports multiple languages, including French, German, Spanish, Italian, Japanese, Korean, Norwegian, Portuguese, Russian, Simplified+Traditional Chinese, and Hebrew
 * Supports metric units for directions (depending on device locale)
 * Supports getting device location from legacy RTLS systems
 * Canceling "start from" search automatically dismisses directions dialog
 * Fix for "slight left" directional arrow
 * Remove "blank" items in Nearby list in Samples app
 * Fix crash when transitioning view controllers during map animation
 * Fix crash when `MRLocalSearch` is supplied a `nil` completion block
 * Fix crash when removing the selected annotation
 * Fix Navigation bar buttons during modal directions display

Version 2.5.1 - September 29, 2014
----------------------------------

* Supports "tapping" callout views
* Provides user feedback when clicking the location icon if a location is not available
* Detects when required location services plist entries are not present
* Fix a crash when dismissing modal directions
* Allows hiding of the accessibility button

Version 2.5.0 - September 3, 2014
---------------------------------

* Document public methods and include reference documentation online

Version 2.4.3 - August 19, 2014
-------------------------------

* Allow `MRMapViewController` to be used from a XIB/Storyboard by making `-initWithApp:` a convenience constructor.
  * You must set `MRMapViewController.appKey` yourself before displaying it _if_ you are not using `-initWithApp:`.

Version 2.4.2 - August 5, 2014
------------------------------

* Fix crash on iOS 7 when compiled for iOS 8

Version 2.4.1 - July 31, 2014
---------------------------

* Bug fixes

Version 2.4 - July 25, 2014
---------------------------

* Show all placemarks on the map when zoomed all the way out
* Only show callout disclosure when delegate implements `didTapCalloutForAnnotationView:`
* Bug fixes

Version 2.3.1 - July 15, 2014
-----------------------------

* Auto-advance improvements; can skip steps
* Can disable auto-advance via global static (see `AppDelegate.m` in Samples project for example)
* Fix for "Start From" search screen when no location is known
* Fixes for iOS 8 beta 3
* Samples app points to production server again by default
* Fix appearance of the "Red Dot" under certain circumstances


Version 2.2.6 - July 9, 2014
-----------------------------

* Option to hide the levels control


Version 2.2.5 - July 8, 2014
-----------------------------

* Preliminary auto-advance route steps feature


Version 2.2.4 - July 3, 2014
-----------------------------

* Tweakable location settings
* Location data caching for faster fixes
* Bug fix for running multiple simultaneous location managers
* Misc. improvements


Version 2.2.3 - June 19, 2014
-----------------------------

 * Less verbose output to NSLog
 * LocationManager now works on devices running iOS 8 Beta
 * Raises more exceptions to indicate problems with code using the Meridian SDK

Version 2.2.0 - June 19, 2014
-----------------------------

 * `MRLocationManager` enabled
 * Displays "blue dot" when using Beacon-based location
 * Displays "green dot" when using GPS-based location
 * Displays "gray dot" when location is old

Version 2.1.0 - May 27, 2014
----------------------------

 * Sample project points to `edit.meridianapps.com` instead of `demo-edit`
 * Misc. Fixes

Version 2.0.0 - May 10, 2014
----------------------------

 * Bump version number to 2.x.x to fit with the legacy Meridian SDK
 * Fix for crash when switching between maps during directions
 * More constructors for `MREditorKey` and `MRPlacemark`

Version 0.3.0 - April 29, 2014
------------------------------

 * Misc. Fixes

Version 0.2.6.1 - April 9, 2014
-------------------------------

 * Fixes for directions mode, local search
 * New Accessibility button for accessible directions
 * Increased touch hit area for map UI controls
 * Local search returns "expected travel time" instead of distance
 * New zoom-and-fade map transition for transitioning between levels
